Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingGetBlockNodeInfo

Gets the neighbor information for each local block index

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingGetBlockNodeInfo(ISLocalToGlobalMapping mapping, PetscInt *n, PetscInt *n_procs[], PetscInt **procs[])

Collective the first time it is called

## Input Parameter

- mapping - the mapping from local to global indexing

## Output Parameters

- n - number of local block nodes

- n_procs - an array storing the number of processes for each local block node (including self)

- procs - the processes’ rank for each local block node (sorted, self is first)

## Notes

The user needs to call `ISLocalToGlobalMappingRestoreBlockNodeInfo()` when the data is no longer needed. The information returned by this function complements that of `ISLocalToGlobalMappingGetBlockInfo()`. The latter only provides local information, and the neighboring information cannot be inferred in the general case, unless the mapping is locally one-to-one on each process.

## See Also

`ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingCreateIS()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingGetBlockInfo()`, `ISLocalToGlobalMappingRestoreBlockNodeInfo()`, `ISLocalToGlobalMappingGetNodeInfo()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages